### Enumeration

# Babl ModelFlag

#### Declaration

    flags Babl.ModelFlag

#### Description

No description available.

#### Members

Name | Description
--- | ---
`BABL_MODEL_FLAG_ALPHA` | The model encodes alpha.
`BABL_MODEL_FLAG_ASSOCIATED` | The alpha is associated alpha.
`BABL_MODEL_FLAG_INVERTED` | The components are inverted (used for getting the additive complement space of CMYK).
`BABL_MODEL_FLAG_LINEAR` | The data has no TRC, i.e. is linear.
`BABL_MODEL_FLAG_NONLINEAR` | The data has a TRC - the TRC from the configured space.
`BABL_MODEL_FLAG_PERCEPTUAL` | The data has a TRC - a perceptual TRC where 50% gray is 0.5
`BABL_MODEL_FLAG_GRAY` | This is a gray component model.
`BABL_MODEL_FLAG_RGB` | This is an RGB based component model, the space associated is expected to contain an RGB matrix profile.
`BABL_MODEL_FLAG_CIE` | This model is part of the CIE family of spaces.
`BABL_MODEL_FLAG_CMYK` | The encodings described are CMYK encodings, the space associated is expected to contain an CMYK ICC profile.